Package com.independentsoft.office.spreadsheet

# Class Scenarios

java.lang.Object
com.independentsoft.office.spreadsheet.Scenarios

public class Scenarios extends Object
The Class Scenarios.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Scenarios()`
  Instantiates a new scenarios.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Scenarios`
  `clone()`
  `int`
  `getCurrent()`
  Gets the current.
  `List<Scenario>`
  `getItems()`
  Gets the items.
  `int`
  `getLastShown()`
  Gets the last shown.
  `String`
  `getReferenceSequence()`
  Gets the reference sequence.
  `void`
  `setCurrent​(int current)`
  Sets the current.
  `void`
  `setLastShown​(int lastShown)`
  Sets the last shown.
  `void`
  `setReferenceSequence​(String referenceSequence)`
  Sets the reference sequence.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Scenarios

    public Scenarios()
    Instantiates a new scenarios.

- ## Method Details

  - ### clone

    public Scenarios clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getItems

    public List<Scenario> getItems()
    Gets the items.
    Returns:
      the items

  - ### getCurrent

    public int getCurrent()
    Gets the current.
    Returns:
      the current

  - ### setCurrent

    public void setCurrent​(int current)
    Sets the current.
    Parameters:
      `current` - the new current

  - ### getLastShown

    public int getLastShown()
    Gets the last shown.
    Returns:
      the last shown

  - ### setLastShown

    public void setLastShown​(int lastShown)
    Sets the last shown.
    Parameters:
      `lastShown` - the new last shown

  - ### getReferenceSequence

    public String getReferenceSequence()
    Gets the reference sequence.
    Returns:
      the reference sequence

  - ### setReferenceSequence

    public void setReferenceSequence​(String referenceSequence)
    Sets the reference sequence.
    Parameters:
      `referenceSequence` - the new reference sequence